Subject: Re: bug#21098: uname man page

From: Pádraig Brady <[email-masked]>
Date: Wed, 22 Jul 2015 11:27:08 +0100

On 22/07/15 10:33, Stephane Chazelas wrote:
> 2015-07-22 01:54:58 +0100, Pádraig Brady:
> [...]
>> On 21/07/15 14:34, Paul Eggert wrote:
>>> Thanks, that patch looks good, except for some nits.  POSIX spells the phrase 
>>> "non-portable" and we might as well be consistent.  The --help lines would look 
>>> better as:
>>>
>>>    -p, --processor          print the processor type (non-portable)\n\
>>>    -i, --hardware-platform  print the hardware platform (non-portable)\n\
>>>
>>> as the period would look funny after a non-capitalized sentence.
>>
>> Done and pushed.
>> I've closed the bugs now since we've discouraged use of these options.
>> Since they're platform specific, any logic changes should be
>> in uname(1) and/or the kernel.
> [...]
> 
> Note that for Solaris, it's -m that's discouraged
> http://docs.oracle.com/cd/E23824_01/html/821-1461/uname-1.html
> 
> -p is useful as it gives (is meant to give) the instruction-set. 
> 
> Although not POSIX, it's fairly portable. Among the modern (and
> less modern) Unix players, I could only find HP/UX not
> supporting it.

Thanks for the extra info.
Just to be clear, for portability I was referring
to the POSIX options, but mainly to the value itself.
I.E. it's meant as a warning to have users consider
use of these values.  Also it's better to align
with the standards and most popular platforms.

thanks,
Pádraig.